Page MenuHomePhabricator

Improve error message for suppressed changes shown in WikiLabels
Closed, ResolvedPublic

Description

I was training the WikiLabels in the Hebrew Wikipedia, and I was shown a change that doesn't have any differences: https://he.wikipedia.org/wiki/?diff=17324279

The reason is that the newer version was oversighted.

Since I cannot see the change, I cannot really do anything useful there. In fact, it may have been useful to inspect whether the change was really disruptive or not, but in practice it is not possible.

Event Timeline

Amire80 created this task.Jun 24 2016, 9:04 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 24 2016, 9:04 AM
Halfak added a subscriber: Halfak.Nov 2 2016, 3:12 PM

That change was suppressed after the campaign was loaded. I think that maybe showing a more clear error message and having a way to say that an item can't be labeled would be a better solution than just dropping it automatically.

Halfak renamed this task from a non-change shown in WikiLabels training to suppressed changes shown in WikiLabels.Nov 2 2016, 3:12 PM
Halfak moved this task from Backlog to Front-end on the Wikilabels board.Nov 2 2016, 3:15 PM
Halfak triaged this task as Low priority.Nov 3 2016, 2:13 PM
Halfak renamed this task from suppressed changes shown in WikiLabels to Improve error message for suppressed changes shown in WikiLabels.Nov 10 2016, 3:15 PM
Halfak updated the task description. (Show Details)

We should be able to look into the API result to find out if a revision was suppressed.

https://en.wikipedia.org/w/api.php?action=query&prop=revisions&rvprop=content&revids=743862977&format=json returns:

{
    "batchcomplete": "",
    "query": {
        "pages": {
            "237544": {
                "pageid": 237544,
                "ns": 3,
                "title": "User talk:Agtx",
                "revisions": [
                    {
                        "texthidden": ""
                    }
                ]
            }
        }
    }
}

I think this would suffice for now: https://github.com/wiki-ai/wikilabels/pull/176/files (feel free to review, comment, request change, etc.)

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 17 2017, 9:18 AM
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Apr 18 2017, 2:29 PM
Halfak closed this task as Resolved.Jun 5 2017, 5:07 PM